// snareDlg.h : header file
//

#if !defined(AFX_SNAREDLG_H__15DA11C7_5FE6_11D6_BAB8_005056400072__INCLUDED_)
#define AFX_SNAREDLG_H__15DA11C7_5FE6_11D6_BAB8_005056400072__INCLUDED_

#include "ControlDlg.h"	// Added by ClassView
#include "StatusDialog.h"	// Added by ClassView
#include "COnfigDlg.h"	// Added by ClassView
#include "ObjectiveDlg.h"	// Added by ClassView
#include "EventDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

void ListenThread(void *list);


/////////////////////////////////////////////////////////////////////////////
// CSnareDlg dialog

class CSnareDlg : public CDialog
{
// Construction
public:
	CEventDlg m_Event_dlg;
	CImageList m_imgSmallIcons;
	CImageList m_imgLargeIcons;
	CControlDlg m_dlgControlDialog;
	CObjectiveDlg m_dObjectiveDlg;
	CCOnfigDlg m_dlgConfigDialog;
	CSnareDlg(CWnd* pParent = NULL);	// standard constructor

// test
	int StartPipe(void *list);
	// void ListenThread(void *list);
	
//end

// Dialog Data
	//{{AFX_DATA(CSnareDlg)
	enum { IDD = IDD_SNARE_DIALOG };
	CListCtrl	m_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSnareDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void OnOK();
	CToolTipCtrl m_snare_tooltip;
	int m_iTimerControl;
	CToolBar m_wndToolBar;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSnareDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFileExit();
	afx_msg void OnHelpAbout();
	afx_msg void OnActivityApplyandrestartaudit();
	afx_msg void OnViewAuditstatus();
	afx_msg void OnSetupAuditconfiguration();
	afx_msg void OnSetupRemotecontrolconfiguration();
	// afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnActivityClearthedisplay();
	afx_msg void OnLeftClickMainList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditobjective();
	afx_msg void OnToolbarComments();
	afx_msg void OnToolbarIntersect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CStatusDialog m_dlgStatusDialog;
	HANDLE hPipeSNARECORE;
	HANDLE hPipeSNAREGUI;
	HANDLE hPipeSNAREGUIREAD;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SNAREDLG_H__15DA11C7_5FE6_11D6_BAB8_005056400072__INCLUDED_)

